package com.czg.order.service;

import com.czg.order.vo.OrderDetailPrintVo;
import com.mybatisflex.core.service.IService;
import com.czg.order.entity.OrderDetail;

import java.util.List;

/**
 * 订单详情 服务层。
 *
 * @author ww
 * @since 2025-02-13
 */
public interface OrderDetailService extends IService<OrderDetail> {

    void createOrderDetails(Long orderId, List<OrderDetail> orderDetails);
    List<OrderDetailPrintVo> getOrderDetailPrint(Long orderId);


    // 更新订单详情状态 将订单详情的状态为wait-pay 更新为 done
    void updateOrderDetailStatus(Long orderId,String status);
}
